using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class MasterPage : System.Web.UI.MasterPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadTreeNode node = new RadTreeNode();
            node.Text = "Created dynamically at: " + DateTime.Now.ToLongTimeString();
            //Append dynamic node
            treeView1.Nodes.Add(node);
        }
    }

    protected void AjaxManagerMasterPage_AjaxRequest(object sender, Telerik.Web.UI.AjaxRequestEventArgs e)
    {
        if (e.Argument == "MyCustomCommand")
        {
            //Do something useful here
            mainPanelBar.Items[3].Text = DateTime.Now.ToLongTimeString();
        }
    }
}
